# vault-secrets

![Version: 1.2.12](https://img.shields.io/badge/Version-1.2.12-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

A Helm chart to create External Secrets from Vault

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| oci://registry-1.docker.io/bitnamicharts | common | ~2 |

## Values

<table>
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td id="clusterName"><a href="./values.yaml#L11">clusterName</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`"foo-gitlab-gke"`
</pre>
</div>
			</td>
			<td>Name of the Kubernetes cluster this chart is deployed to, to use for the Kubernetes auth path in Vault</td>
		</tr>
		<tr>
			<td id="commonAnnotations"><a href="./values.yaml#L7">commonAnnotations</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Annotations to add to all deployed objects</td>
		</tr>
		<tr>
			<td id="commonLabels"><a href="./values.yaml#L9">commonLabels</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Labels to add to all deployed objects</td>
		</tr>
		<tr>
			<td id="externalSecrets"><a href="./values.yaml#L52">externalSecrets</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>External Secrets to create<br>
ref: https://external-secrets.io/v0.5.8/api-externalsecret/
<br><br>
<details>
<summary>Example</summary>

```yaml
externalSecrets:
  foo:
    labels: {}
    annotations: {}
    refreshInterval: 0
    secretStoreName: ""
    target:
      type: Opaque
      creationPolicy: Owner
      deletionPolicy: Delete
      template:
        metadata:
          annotations:
            foo: bar
    data:
      - remoteRef:
          key: "{{ .Values.clusterName }}/my-namespace/my-app/some-service"
          property: user
          version: "1"
        secretKey: user
      - remoteRef:
          key: "{{ .Values.clusterName }}/my-namespace/my-app/some-service"
          property: password
          version: "4"
        secretKey: password
    dataFrom:
      - extract:
          key: "{{ .Values.clusterName }}/my-namespace/my-app/some-service"
          version: "1"
```

</details></td>
		</tr>
		<tr>
			<td id="fullnameOverride"><a href="./values.yaml#L5">fullnameOverride</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Fully override vault-secrets.fullname template</td>
		</tr>
		<tr>
			<td id="nameOverride"><a href="./values.yaml#L3">nameOverride</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Partially override vault-secrets.fullname include (will maintain the release name)</td>
		</tr>
		<tr>
			<td id="rbac"><a href="./values.yaml#L84">rbac</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{"create":true}`
</pre>
</div>
			</td>
			<td>RBAC</td>
		</tr>
		<tr>
			<td id="rbac--create"><a href="./values.yaml#L86">rbac.create</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`true`
</pre>
</div>
			</td>
			<td>Specifies whether the ClusterRoleBinding for the ServiceAccount should be created</td>
		</tr>
		<tr>
			<td id="secretStores"><a href="./values.yaml#L72">secretStores</a></td>
			<td>
list
</td>
			<td>
				<div>
<pre lang="">
`[]`
</pre>
</div>
			</td>
			<td>Array containing Secret Stores to create<br>
ref: https://external-secrets.io/v0.5.8/api-secretstore/
<br><br>
<details>
<summary>Example</summary>

```yaml
secretStores:
  - name: mysecretstore
    authMountPath: kubernetes/mycluster
    role: my-app
    path: k8skv
    version: v2
    server: https://vault.domain
```

</details></td>
		</tr>
		<tr>
			<td id="serviceAccount--annotations"><a href="./values.yaml#L81">serviceAccount.annotations</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>Annotations for service account. Evaluated as a template. Only used if `create` is `true`.</td>
		</tr>
		<tr>
			<td id="serviceAccount--create"><a href="./values.yaml#L77">serviceAccount.create</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`true`
</pre>
</div>
			</td>
			<td>Specifies whether a ServiceAccount should be created</td>
		</tr>
		<tr>
			<td id="serviceAccount--name"><a href="./values.yaml#L79">serviceAccount.name</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Name of the service account to use. If not set and create is true, a name is generated using the fullname template.</td>
		</tr>
	</tbody>
</table>

----------------------------------------------
This README is autogenerated via [helm-docs](https://github.com/norwoodj/helm-docs) in CI. Do not update manually!!